# Class Configuration#setPictureMode

Configuration

- Defined in: configuration.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Configuration#setPictureMode(successCallback, errorCallback, options) Sets picture mode.

## Class Detail

Configuration#setPictureMode(successCallback, errorCallback, options)
Sets picture mode. Each PictureMode has a set of predefined picture properties. And each picture properties can be changed with setPictureProperty().

    // Javascript code
    function setPictureMode () {
      var options = {
         mode : Configuration.PictureMode.VIVID
      };

      function successCb() {
         // Do something
      }

      function failureCb(cbObject) {
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log ("Error Code [" + errorCode + "]: " + errorText);
      }

      var configuration = new Configuration();
      configuration.setPictureMode(successCb, failureCb, options);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.
{Object} options

  Property | Type | Description | Required
  --- | --- | --- | ---
  mode | String | Configuration.PictureMode | required

Since:
  1.0
Returns:

  If the method is successfully executed, success callback function is called without a parameter. If an error occurs, failure callback function is called with a failure callback object as a parameter.

See:
  Configuration.getPictureMode()